CGAL 6.2 - CGAL and the Boost Graph Library

Loading...
Searching...
No Matches
List of all members | Related Functions
MutableHalfedgeGraph Concept Reference
Reference Manual » Concepts

## Definition

The concept `MutableHalfedgeGraph` refines the concept `HalfedgeGraph` and adds the requirements for operations to add vertices and edges, and to update the incidence information between vertices and halfedges.

Refines
  `HalfedgeGraph`

Has models
  See Boost Graph Traits Specializations

See also
  Graph Concepts

## Related Functions
(Note that these are not member functions.)
template<typename MutableHalfedgeGraph >
boost::graph_traits< MutableHalfedgeGraph >::vertex_descriptor | add_vertex (MutableHalfedgeGraph &g)
| Adds a new vertex to the graph without initializing the connectivity.
template<typename MutableHalfedgeGraph >
void | remove_vertex (boost::graph_traits< MutableHalfedgeGraph >::vertex_descriptor v, MutableHalfedgeGraph &g)
| Removes `v` from the graph.
template<typename MutableHalfedgeGraph >
boost::graph_traits< MutableHalfedgeGraph >::edge_descriptor | add_edge (MutableHalfedgeGraph &g)
| Adds two opposite halfedges to the graph without initializing the connectivity.
template<typename MutableHalfedgeGraph >
void | remove_edge (boost::graph_traits< MutableHalfedgeGraph >::edge_descriptor e, MutableHalfedgeGraph &g)
| Removes the two halfedges corresponding to `e` from the graph.
template<typename MutableHalfedgeGraph >
void | set_target (boost::graph_traits< MutableHalfedgeGraph >::halfedge_descriptor h, boost::graph_traits< MutableHalfedgeGraph >::vertex_descriptor v, MutableHalfedgeGraph &g)
| Sets the target vertex of `h` and the source of `opposite(h)` to `v`.
template<typename MutableHalfedgeGraph >
void | set_halfedge (boost::graph_traits< MutableHalfedgeGraph >::vertex_descriptor v, boost::graph_traits< MutableHalfedgeGraph >::halfedge_descriptor h, MutableHalfedgeGraph &g)
| Sets the halfedge of `v` to `h`.
template<typename MutableHalfedgeGraph >
void | set_next (boost::graph_traits< MutableHalfedgeGraph >::halfedge_descriptor h1, boost::graph_traits< MutableHalfedgeGraph >::halfede_descriptor h2, MutableHalfedgeGraph &g)
| Sets the successor of `h1` around a face to `h2`, and the prededecessor of `h2` to `h1`.

## Friends And Related Function Documentation

## ◆ set_halfedge()

template<typename MutableHalfedgeGraph >

void set_halfedge | ( | boost::graph_traits< MutableHalfedgeGraph >::vertex_descriptor | v,
|  | boost::graph_traits< MutableHalfedgeGraph >::halfedge_descriptor | h,
|  | MutableHalfedgeGraph & | g
| ) |  |
| related

Sets the halfedge of `v` to `h`.

The target vertex of `h` must be `v`.